Package org.apache.sysds.runtime.lineage

## Class LineageRecomputeUtils

- java.lang.Object
- - org.apache.sysds.runtime.lineage.LineageRecomputeUtils

    public class LineageRecomputeUtils
    extends Object

### Field Summary

Fields
`static Map<String,​org.apache.sysds.runtime.lineage.LineageRecomputeUtils.DedupLoopItem>` `loopPatchMap`
`static String` `LPLACEHOLDER`

### Constructor Summary

Constructors
`LineageRecomputeUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Data` `parseNComputeLineageTrace​(String mainTrace, String dedupPatches)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LPLACEHOLDER

    public static final String LPLACEHOLDER

See Also:
  Constant Field Values

#### loopPatchMap

    public static Map<String,​org.apache.sysds.runtime.lineage.LineageRecomputeUtils.DedupLoopItem> loopPatchMap

### Constructor Detail

#### LineageRecomputeUtils

    public LineageRecomputeUtils()

### Method Detail

#### parseNComputeLineageTrace

    public static Data parseNComputeLineageTrace​(String mainTrace,
                                                 String dedupPatches)